Subject: SET-PARAMETER with more than one

From: Stephen Casner <[email-masked]>
Date: Wed, 24 Sep 1997 22:18:42 -0700 (PDT)

In the RTSP spec, the description of the SET-PARAMETER method says
there SHOULD be only one parameter to simplify the interpretation of
error responses.  The fine print suggests a reason why one might want
to send more than one parameter, which explains why this SHOULD is not
MUST.  Also, the fine print also implies that if there are multiple
parameters, no action should be taken on any of the parameters if any
of them are invalid.  However, there should be an explicit statement
of the semantics when multiple parameters are included.

If I have taken the implication of the fine print correctly, then one
must perform a two-pass processing of the parameters.  On the first
pass, both the parameters and their values would be verified for
validity but not actually changed.  If no errors were discovered, then
on the second pass they would actually be set.  Correct?

							-- Steve